package ircclient

import (
	"testing"
)

type colortext struct {
	Text  string
	Color int
}

func TestColor(t *testing.T) {
	var sent colortext
	var expect string
	var got string
	var plain string
	for sent, expect = range map[colortext]string{{Text: "One", Color: 1}: "\x0301One\x0f",
		{"Two", 2}:   "\x0302Two\x0f",
		{"Three", 3}: "\x0303Three\x0f"} {
		got = Color(sent.Color, sent.Text)
		if got != expect {
			t.Errorf("Got %s, expected %s", got, expect)
		}
		plain = Stripper(got)
		if plain != sent.Text {
			t.Errorf("Got %s, expected %s", plain, sent.Text)
		}
	}
}
